$('#blueimp-gallery').data('useBootstrapModal', false);
$('#blueimp-gallery').toggleClass('blueimp-gallery-controls', true);

// to show videos
function bindModalClick(){
	$('a[data-toggle="modal"]').on('click', function(e) {

		// change modal heading
		var page_name = $(e.currentTarget).data('page-name');
		$('#pop-up-title').html(page_name);

		//var post_description = $(e.currentTarget).data('post-description');
		//$('#pop-up-description').html("<i class='fa fa-sticky-note'></i> " + post_description);

		// remove previous content of modal body
		$('.modal-body').empty();
		$('.modal-body').html("");

		// target url
		var target_url=$(this).attr('href');

		// text while loading the url
		$('.modal-body').html('<b>Loading comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		$('#comments-modal').modal('show');

		$('.modal-body').load(target_url);

		// Now return a false (negating the link action) to prevent Bootstrap's JS 3.1.1
		// from throwing a 'preventDefault' error due to us overriding the anchor usage.
		return false;
	});
}

function load_NextSet() {

	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');

	var dsm_facebook_videos_page_id = $('.dsm-facebook-videos-page-id').text();
	var dsm_facebook_videos_next_page = $('.dsm-facebook-videos-next-page').text();

	$.post("items_more.php", {
			fb_page_id: dsm_facebook_videos_page_id,
			next_page: dsm_facebook_videos_next_page
		}, function(data){
		if (data != "") {
			$(".item_box:last").after(data);
			$('.description').linkify();

			bindModalClick();
		}

		if(data==""){
			$('div#last_item_loader').html("<div id='all_items_loaded'>All videos were loaded.</div>");
		}else{

			$('div#last_item_loader').empty();
			$('.dsm-facebook-videos-next-page:not(:last)').empty();

			// hide button
			$('#load_more_videos').show();
		}
	});
};

$('#comments-modal').on('hidden', function () {
  $(this).removeData('modal');
});

$(document).ready(function(){

	bindModalClick();

	$('#blueimp-gallery').on('slidecomplete', function (event, index, slide) {
		var video;
		if ($(this).data('gallery').index === index) {
			video = $(slide).find('video').get(0);
			if (video) {
				video.play();
			}
		}
	});

	$('.description').linkify();

	$(document).on('click', '#load_more_videos', function(){
		if($('div#last_item_loader').text()==""){

			// hide button
			$('#load_more_videos').hide();

			// load new videos
			load_NextSet();
		}
	});

	$(document).on('click', '.more-replies', function(){

		var more_replies_div=$(this);
		var next_page=$(this).attr('next-replies');

		more_replies_div.html('<b>Loading more replies...</b> <img src="images/ajax-loader-like-comment.gif" />');

		$.post("replies_more.php",
				{ replies_next_page: next_page }
			)
			.done( function(data){
					more_replies_div.after(data);
					more_replies_div.remove();
				}
			);
	});

	$(document).on('click', '#more-comments', function(){

		var more_comments_div=$(this);
		var next_page=$(this).attr('next-comments');

		more_comments_div.html('<b>Loading more comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		$.post("comments_more.php",
				{ comments_next_page: next_page }
			)
			.done( function(data){
					more_comments_div.after(data);
					more_comments_div.remove();
				}
			);

	});

	$(document).on('click', '.like-count-sum', function(){

		// load likers and commenters
		var pid=$(this).attr('pid');
		var show_elem=$(this).closest('.col-lg-6').find('.like-count-data');

		if(show_elem.is(":visible")) {
			// hide it
			show_elem.hide();
		}

		else{
			// show likers and comments if they are already loaded
			if (show_elem.html().length > 0) {
				show_elem.show('fast');
			}

			else{
				// show it
				show_elem.html("<img src='images/ajax-loader-like-comment.gif' />");
				show_elem.show();

				// get likers and commenters
				$.post('likes_comments.php', {
					post_id: pid
				}, function(data){
					show_elem.html(data);

					// make urls clickable in user comments
					$('.like-count-data').linkify();
				});
			}
		}
	});
});
